Rotate signing secret
POST
/api/webhooks/subscription/{id}/rotate-secret
Code sample: Shell / cURL
curl --request POST \ --url https://api.ztlpay.io/api/webhooks/subscription/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rotate-secret \ --header 'Authorization: Bearer <token>'Already queued deliveries retain the previous signing secret. Allow an overlap period in your receiver while those deliveries finish.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”New signing secret. Store it securely; it cannot be retrieved again.
Media typeapplication/json
object
id
required
string format: uuid
signingSecret
required
string
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "signingSecret": "example"}Subscription was not found.